public class Circle {    
   // Private instance variables
   private double radius;
   private String color;
   
   // Constructors (overloaded)
   public Circle() {                   // 1st Constructor
      radius = 1.0;
      color = "red";
   }
   public Circle(double r) {           // 2nd Constructor
      radius = r;
      color = "red";
   }
   public Circle(double r, String c) { // 3rd Constructor
      radius = r;
      color = c;
   }
   
   // Public methods
   public double getRadius() {
      return radius;
   }
   public void setRadius(double r) {
      radius=r;
   }
   public String getColor() {
      return color;
   }
   public void setColor(String c) {
      color=c;
   }
   public double getArea() {
      return radius * radius * Math.PI;
   }
   public String toString() {
      return "Circle[radius: " + radius + ", color: " + color + "]";
   }
}
