import java.util.ArrayList;
public class ChoiceQuestion extends Question
{
	private ArrayList<String> choices;
	
	public ChoiceQuestion(String text)
	{
		super(text);
		choices = new ArrayList<String>();
	}
	
	public void addChoice(String text, boolean isCorrect)
	{
		choices.add(text);
		if(isCorrect)
		{
			setAnswer(text);
		}
	}
	
	public void display()
	{
		super.display();
		for(int i = 1; i <= choices.size(); i++) 
		{
			System.out.println(i + ") " + choices.get(i - 1));
		}
	}
}